import pygame
import sys
import subprocess

pygame.init()

# Music
pygame.mixer.init()
pygame.mixer.music.load("asset/zt-r3start-135225.mp3")
pygame.mixer.music.play()
pygame.mixer.music.set_volume(0.5)

screen = pygame.display.set_mode((800, 600))
pygame.display.set_caption('Racing Game')
background = pygame.image.load("asset/startmenu2.png")


BUTTON_COLOR = (0, 0, 0)
TITLE_COLOR = (0, 0, 0)
BUTTON_TEXT_COLOR = (255, 255, 255)
BUTTON_MARGIN = 10

# fonts
title_font = pygame.font.Font("asset/Minecraft.ttf", 85)
button_font = pygame.font.Font("asset/Minecraft.ttf", 25)

def draw_button(text, rect, font):
    pygame.draw.rect(screen, BUTTON_COLOR, rect)
    text_surface = font.render(text, True, BUTTON_TEXT_COLOR)
    text_rect = text_surface.get_rect(center=rect.center)
    screen.blit(text_surface, text_rect)

def start_menu():
    title_text = title_font.render('Word Race', True, BUTTON_COLOR)
    title_rect = title_text.get_rect(center=(400, 100))

    button_width = 200
    button_height = 50

    start_button_rect = pygame.Rect(
        (400 - button_width // 2),
        250,
        button_width,
        button_height
    )
    quit_button_rect = pygame.Rect(
        (400 - button_width // 2),
        250 + button_height + BUTTON_MARGIN,
        button_width,
        button_height
    )

    running = True

    while running:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                sys.exit()
            if event.type == pygame.KEYDOWN:
                if event.key == pygame.K_q:
                    pygame.quit()
                    sys.exit()
                if event.key == pygame.K_s:
                   
                    subprocess.Popen(['python', 'hra.py'])
                    pygame.quit()  # Close the menu
                    sys.exit()
            if event.type == pygame.MOUSEBUTTONDOWN:
                if start_button_rect.collidepoint(event.pos):
                    
                    subprocess.Popen(['python', 'hra.py'])
                    pygame.quit()  # Close the menu
                    sys.exit()
                if quit_button_rect.collidepoint(event.pos):
                    pygame.quit()
                    sys.exit()

        screen.blit(background, (0, 0))

        # title
        screen.blit(title_text, title_rect)

        
        draw_button("Start Game", start_button_rect, button_font)
        draw_button("Quit", quit_button_rect, button_font)

        pygame.display.update()

start_menu()
