import pygame
import sys
import subprocess

pygame.init()

# dimensions
screen_width = 800
screen_height = 600

# create window
screen = pygame.display.set_mode((screen_width, screen_height))
pygame.display.set_caption("You Win Menu")

black = (0, 0, 0)
white = (255, 255, 255)

def load_custom_font(font_size):
    # font
    return pygame.font.Font("asset/Minecraft.ttf", font_size)

# background image
background = pygame.image.load("asset/winlosebg.jpg")
background = pygame.transform.scale(background, (screen_width, screen_height))

def you_win_menu():
    custom_font = load_custom_font(36) 

    text = custom_font.render("You Win", True, white)
    text_rect = text.get_rect()
    text_rect.center = (screen_width // 2, screen_height // 2 - 50)

    next_level_button = pygame.Rect(screen_width // 2 - 90, screen_height // 2 + 20, 180, 40)
    quit_button = pygame.Rect(screen_width // 2 - 60, screen_height // 2 + 80, 120, 40)

    while True:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                sys.exit()

            if event.type == pygame.MOUSEBUTTONDOWN:
                if next_level_button.collidepoint(event.pos):
                    
                    subprocess.Popen(['python', 'leveltwo.py'])
                    pygame.quit()  # Close the menu
                    sys.exit()

                if quit_button.collidepoint(event.pos):
                    pygame.quit()
                    sys.exit()

        # background image
        screen.blit(background, (0, 0))

        pygame.draw.rect(screen, white, next_level_button)
        pygame.draw.rect(screen, white, quit_button)

        screen.blit(text, text_rect)

        font = pygame.font.Font(None, 28)
        next_level_text = font.render("Next Level", True, black)
        next_level_text_rect = next_level_text.get_rect()
        next_level_text_rect.center = next_level_button.center

        quit_text = font.render("Quit", True, black)
        quit_text_rect = quit_text.get_rect()
        quit_text_rect.center = quit_button.center

        screen.blit(next_level_text, next_level_text_rect)
        screen.blit(quit_text, quit_text_rect)

        pygame.display.update()

you_win_menu()
